---
title: Mand Mobile
---

`Mand Mobile` is a mobile component library designed for financial scenarios，which is based on `Vue.js`. It has been actually applied to more than 10 products in the four major financial business segments of DiDi Chuxing.

#### Features

* <b>Rich Components</b>

    40+ practical components can meet the basic needs of the mobile development, especially for financial scenarios.

* <b>Unified visual specification</b>

    Designed and maintained by designers of DiDi Strategic Business Department to ensure a high\-level visual consistency within and among projects.

* <b>Strictly controlled Bundle volume </b>

    Provide on-demand loading capabilities and flexible use, avoid the import of useless code, and export two format packages, `es` and `umd`. The `es` package size is only `169kb (gzip 41kb)`, and the final size of `umd` is only `163kb (gzip 40kb)`.

* <b>Flexible style theme</b>

    UI style is configurable, flexible and easy to adapt to different design styles.

* <b>Support TypeScript</b>

#### Version
- [![npm package](http://img.shields.io/npm/v/mand-mobile.svg?style=flat-square)](http://npmjs.com/package/mand-mobile)

#### Browser Support

* iOS 6+
* Android 4.0+

#### Quickstart

Please refer to <a href="#/docs/started">Quickstart</a>

#### Users

> If your company or product uses Mand Mobile，please let us know [here](https://github.com/didi/mand-mobile/issues/59).

#### Contribution

Please read our <a href="#/docs/development">Development Guide</a> first. If you'd like to help us improve Mand Mobile, please create <a href="https://github.com/didi/mand-mobile/issues" targe="_blank">Issue</a> or <a href="https://github.com/didi/mand-mobile/pulls" targe="_blank">Pull Request</a>.



